Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361271

Summary: Backport for OSP 5: Volume retype fails if volume's current type is None
Product: Red Hat OpenStack Reporter: Andreas Karis <akaris>
Component: openstack-cinderAssignee: Eric Harney <eharney>
Status: CLOSED WONTFIX QA Contact: nlevinki <nlevinki>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0 (Kilo)CC: akaris, asoni, byount, dcadzow, egafford, eharney, scohen, srevivo, tshefi
Target Milestone: ---Keywords: FeatureBackport, ZStream
Target Release: 7.0 (Kilo)Flags: tshefi: automate_bug-
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-04 14:37:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andreas Karis 2016-07-28 16:22:51 UTC
Description of problem:
Please backport https://bugzilla.redhat.com/show_bug.cgi?id=1309591 to OSP 5.

Description of problem:

Cinder retype command fails if volume doesn't have a source type.

Version-Release number of selected component (if applicable):

We discovered it in OSP 5.0 but it seems that this issue can 
happen even in the master branch.

How reproducible:
100% on OSP 5.0


Steps to Reproduce:
1. Make sure that cinder.conf doesn't specify a default volume type
2. Create volume without specifying volume type
3. Retype this volume to the new type

Actual results:

Retype fails

Expected results:

Volume should get retyped

Additional info:

1. Configuring a default volume type in cinder.conf resolves that issue.
2. Use cinder migrate instead of retype if all you want is to move volume between different backends.

Comment 9 Tzach Shefi 2018-09-23 19:39:18 UTC
Nothing to automate/test here as it wasn't backported. 
Also while we are at it I just verified on OSP14 OSPD now deploys a default backend as see here:
https://bugzilla.redhat.com/show_bug.cgi?id=1477606